
Foreman - Bug #12063

unable to destroy libvirt vm

10/06/2015 02:57 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources - libvirt   

Target version:    

Difficulty:  Fixed in Releases: 2.0.0

Triaged: No Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/4242,

https://github.com/theforeman/foreman-p

ackaging/pull/4243,

https://github.com/theforeman/foreman/p

ull/7136,

https://github.com/theforeman/foreman-p

ackaging/pull/4272,

https://github.com/theforeman/foreman-p

ackaging/pull/4273

  

Description

[W] Failed to destroy a compute h01.sat.lab (Libvirt) instance fdev19.sat.lab.tlv.redhat.com: wron

g number of arguments (0 for 1)

 | ArgumentError: wrong number of arguments (0 for 1)

 | /home/foreman/gems/gems/fog-libvirt-0.0.2/lib/fog/libvirt/requests/compute/volume_action.rb:6:i

n `delete'

 | /home/foreman/gems/gems/fog-libvirt-0.0.2/lib/fog/libvirt/requests/compute/volume_action.rb:6:i

n `volume_action'

 | /home/foreman/gems/gems/fog-libvirt-0.0.2/lib/fog/libvirt/models/compute/volume.rb:45:in `destr

oy'

 | /home/foreman/gems/gems/fog-libvirt-0.0.2/lib/fog/libvirt/models/compute/server.rb:89:in `block

 in destroy'

 | /home/foreman/gems/gems/fog-libvirt-0.0.2/lib/fog/libvirt/models/compute/server.rb:89:in `each'

 | /home/foreman/gems/gems/fog-libvirt-0.0.2/lib/fog/libvirt/models/compute/server.rb:89:in `destr

oy'

 | /home/foreman/git/foreman/app/models/compute_resources/foreman/model/libvirt.rb:41:in `destroy_

vm'

Associated revisions

Revision 6617bbc2 - 10/29/2019 07:23 PM - Michael Moll 

Refs #12063 - update fog-libvirt to 0.7.0

Revision 8c53f84f - 11/04/2019 11:19 AM - Michael Moll 

Fixes #12063 - require fog-libvirt >= 0.7.0

Revision f1244f13 - 11/04/2019 01:25 PM - Michael Moll 

Refs #12063 - require fog-libvirt >= 0.7.0

History

#1 - 10/06/2015 02:57 AM - Ohad Levy

- Description updated

#2 - 10/06/2015 04:17 AM - Dominic Cleal

The bug looks deeper than the stack trace indicates (silenced?), perhaps in ruby-libvirt, but most likely not Foreman.
Same as #9946?

#3 - 05/20/2017 07:33 AM - Anonymous

Ohad, what's the status here?

#4 - 09/28/2017 11:20 AM - Maximilian Gaß

I think this is a problem with virtual machines not created from Foreman. Fog-Libvirt fails to understand volume tags as written by virt-install.

For example, my XML might say:

      <source dev='/dev/vg1/foobar'/>

 fog-libvirt expects the <source> tag to have a file attribute though

The volume metadata is then incomplete:

    volumes=[    <Fog::Compute::Libvirt::Volume

      id=nil,

      pool_name="vg1",

      key=nil,

      name="fog-764556483518616",

      path=nil,

      capacity="10G",

      allocation="1G",

      format_type="raw",

      backing_volume=nil

    >],

 Volumes are deleted by key, but as you can see, "key" is nil

#5 - 07/09/2018 04:45 PM - Oliver Freyermuth

- Triaged set to No

I observe exactly the same.

I had to patch fog as follows:

https://github.com/fog/fog/issues/3285#issuecomment-98696583

to be able to create VMs with Ceph-RBD backed volumes.

However, now I am unable to delete them.

#6 - 10/07/2019 09:37 PM - Oliver Freyermuth

The code snippet in this PR comment against fog-libvirt:

https://github.com/fog/fog-libvirt/pull/56#issuecomment-539211907

fixes my issues, and I plan to upstream it after response on how to proceed.

It also lets RBD volumes show up correctly in foreman with their provisioned and allocated size.

#7 - 10/28/2019 09:04 PM - Oliver Freyermuth

This is now part of fog-libvirt 0.7.0, so all that's left is upgrading the version in Foreman ;-).

#8 - 10/29/2019 09:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman-packaging/pull/4242 added

#9 - 10/29/2019 09:28 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/4243 added

#10 - 10/29/2019 09:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7136 added

#11 - 11/04/2019 11:20 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#12 - 11/04/2019 12:01 PM - Anonymous
https://projects.theforeman.org/issues/9946
https://github.com/fog/fog-libvirt/blob/master/lib/fog/libvirt/requests/compute/list_domains.rb#L42
https://github.com/fog/fog-libvirt/blob/master/lib/fog/libvirt/requests/compute/volume_action.rb#L6
https://github.com/fog/fog/issues/3285#issuecomment-98696583
https://github.com/fog/fog-libvirt/pull/56#issuecomment-539211907


- Status changed from Ready For Testing to Closed

Applied in changeset 8c53f84f36d247571caf075d9c9c8b57ecc9e517.

#13 - 11/04/2019 02:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/4272 added

#14 - 11/04/2019 02:02 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/4273 added
